PropertyTypeRestriction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class PropertyTypeRestriction

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.PathExpression
              fr.inrialpes.exmo.align.impl.edoal.PropertyExpression
                  fr.inrialpes.exmo.align.impl.edoal.PropertyRestriction
                      fr.inrialpes.exmo.align.impl.edoal.PropertyTypeRestriction

All Implemented Interfaces:
  ValueExpression, Cloneable, Visitable

    public class PropertyTypeRestriction

extends PropertyRestriction
implements Cloneable

Represents a attributeTypeRestriction tag for a ClassExpressions.

Created on 24-Mar-2005 Committed by $Author: poettler_ric $

$Id: PropertyTypeRestriction.java 1311 2010-03-07 22:51:10Z euzenat $

Version:
  $Revision: 1.6 $ $Date: 2010-03-07 20:40:05 +0100 (Sun, 07 Mar 2010) $
Author:
  Francois Scharffe, Adrian Mocan, Richard Pöttler

Field Summary
`(package private) Datatype` | `type`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`PropertyTypeRestriction()` Constructs a attributeTypeRestriction with the given restriction.
`PropertyTypeRestriction(Datatype t)` Constructs a attributeTypeRestriction with the given restriction.

Method Summary
`Datatype` | `getType()`
`void` | `setType(Datatype t)`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.PropertyRestriction
`accept`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    Datatype type

Constructor Detail

### PropertyTypeRestriction

    public PropertyTypeRestriction()

  Constructs a attributeTypeRestriction with the given restriction.

  Parameters:
    `attribute` - the attribute on which the restriction should be applied
    `restriction` - the restriction for the domain
  Throws:
    `NullPointerException` - if the restriction is null

### PropertyTypeRestriction

    public PropertyTypeRestriction(Datatype t)

  Constructs a attributeTypeRestriction with the given restriction.

  Parameters:
    `attribute` - the attribute on which the restriction should be applied
    `restriction` - the restriction for the domain
    `target` - the target expression which should be restricted
  Throws:
    `NullPointerException` - if the restriction is null

Method Detail

### getType

    public Datatype getType()

### setType

    public void setType(Datatype t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010